## univention-appcenter 9.0.2-53A~5.0.0.202106211722

=== debian/changelog ===
univention-appcenter (9.0.2-53A~5.0.0.202106211722) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Jun 2021 17:22:04 +0200

univention-appcenter (9.0.2-53) unstable; urgency=medium

  * Bug #53390: rename css var

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 17:13:57 +0200

univention-appcenter (9.0.2-52) unstable; urgency=medium

  * Bug #53390: use warning/error css vars

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 12:35:52 +0200

univention-appcenter (9.0.2-51) unstable; urgency=medium

  * Bug #53412: use variables in data-dojo-props to prevent syntax errors

 -- Johannes Keiser <keiser@univention.de>  Thu, 17 Jun 2021 09:10:44 +0200

univention-appcenter (9.0.2-50) unstable; urgency=medium

  * Bug #53390: implement light theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 13:33:00 +0200

univention-appcenter (9.0.2-49) unstable; urgency=medium

  * Bug #53384: Handle template error when opening Apps with certain
    characters in name

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 07 Jun 2021 00:10:09 +0200

univention-appcenter (9.0.2-48) unstable; urgency=medium

  * Bug #53273: Use docker-compose ps -q to get all container ids for
    multicontainer apps to fix line-wrap issue

 -- Erik Damrose <damrose@univention.de>  Fri, 04 Jun 2021 10:33:35 +0200

univention-appcenter (9.0.2-47) unstable; urgency=low

  * Bug #53273: A line wrap in the output of `docker-compose ps` breaks the
    app installation

 -- Max Christian Pohle <pohle@univention.de>  Wed, 26 May 2021 11:44:00 +0200

univention-appcenter (9.0.2-45) unstable; urgency=medium

  * Bug #53161: Apps shall open in newwindow by default

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 13 May 2021 01:08:20 +0200

univention-appcenter (9.0.2-44) unstable; urgency=medium

  * Bug #53217: fix image gallery nav buttons

 -- Johannes Keiser <keiser@univention.de>  Mon, 10 May 2021 10:43:32 +0200

univention-appcenter (9.0.2-43) unstable; urgency=medium

  * Bug #53217: adjust size of app search sidebar checkboxes

 -- Johannes Keiser <keiser@univention.de>  Mon, 10 May 2021 10:20:18 +0200

univention-appcenter (9.0.2-42) unstable; urgency=medium

  * Bug #53217: css adjustments for browser compatibility

 -- Johannes Keiser <keiser@univention.de>  Mon, 10 May 2021 10:05:30 +0200

univention-appcenter (9.0.2-41) unstable; urgency=medium

  * Bug #51598: Fix issues found by linting

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 05 May 2021 22:57:01 +0200

univention-appcenter (9.0.2-40) unstable; urgency=medium

  * Bug #51598: Improve SQL query building

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 05 May 2021 22:12:32 +0200

univention-appcenter (9.0.2-39) unstable; urgency=medium

  * Bug #53161: Apps may now specify how the link of their portal tile is
    handled: Should it open a new tab, opened in an iframe, just comply to the
    portal standard?

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 04 May 2021 23:55:42 +0200

univention-appcenter (9.0.2-38) unstable; urgency=medium

  * Bug #51598: Remove unnecessary code

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 04 May 2021 22:46:33 +0200

univention-appcenter (9.0.2-37) unstable; urgency=medium

  * Bug #53214: adjust design of multi-select

 -- Johannes Keiser <keiser@univention.de>  Tue, 04 May 2021 09:04:58 +0200

univention-appcenter (9.0.2-36) unstable; urgency=medium

  * Bug #53217: adjust unsupported css

 -- Johannes Keiser <keiser@univention.de>  Tue, 04 May 2021 09:04:24 +0200

univention-appcenter (9.0.2-35) unstable; urgency=medium

  * Bug #52453: adjust TitlePane style

 -- Johannes Keiser <keiser@univention.de>  Tue, 27 Apr 2021 10:55:10 +0200

univention-appcenter (9.0.2-34) unstable; urgency=medium

  * Bug #52941: added new icon design for app and package management

 -- Jan Luttermann <luttermann@univention.de>  Fri, 23 Apr 2021 14:09:27 +0200

univention-appcenter (9.0.2-33) unstable; urgency=medium

  * Bug #53098: Fix sorting of Apps in UMC

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 22 Apr 2021 15:26:54 +0200

univention-appcenter (9.0.2-32) unstable; urgency=medium

  * Bug #51598: Fix base64 encoding

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 22 Apr 2021 15:18:30 +0200

univention-appcenter (9.0.2-31) unstable; urgency=medium

  * Bug #51598: Fix calling univention-app without any args

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 21 Apr 2021 15:16:06 +0200

univention-appcenter (9.0.2-30) unstable; urgency=medium

  * Bug #51197: Prevent tracebacks, print warnings

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 15 Apr 2021 23:20:48 +0200

univention-appcenter (9.0.2-29) unstable; urgency=medium

  * Bug #52771: added update-check

 -- Felix Botner <botner@univention.de>  Wed, 14 Apr 2021 14:57:34 +0200

univention-appcenter (9.0.2-28) unstable; urgency=medium

  * Bug #52941: update module icon for portal

 -- Johannes Keiser <keiser@univention.de>  Wed, 14 Apr 2021 10:53:22 +0200

univention-appcenter (9.0.2-27) unstable; urgency=medium

  * Bug #53053: Prevent UMC restart during App installation

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 14 Apr 2021 10:47:39 +0200

univention-appcenter (9.0.2-26) unstable; urgency=medium

  * Bug #52941: added module icon for portal

 -- Jan Luttermann <jluttermann@linux.fritz.box>  Wed, 24 Mar 2021 11:12:56 +0100

univention-appcenter (9.0.2-25) unstable; urgency=medium

  * Bug #52453: adjust Manage Installations grid styling

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Mar 2021 07:25:14 +0100

univention-appcenter (9.0.2-24) unstable; urgency=medium

  * Bug #52453: adjust AppInstallWizard styling

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Mar 2021 05:36:44 +0100

univention-appcenter (9.0.2-23) unstable; urgency=medium



## univention-appcenter 9.0.2-55A~5.0.0.202107191231

=== debian/changelog ===
univention-appcenter (9.0.2-55A~5.0.0.202107191231) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 19 Jul 2021 12:31:15 +0200

univention-appcenter (9.0.2-55) unstable; urgency=medium

  * Bug #53578: apply app settings

 -- Felix Botner <botner@univention.de>  Mon, 19 Jul 2021 12:29:06 +0200

univention-appcenter (9.0.2-54) unstable; urgency=medium

  * Bug #53526: Use apt-key verify to verify App Center cache files; remove
    files that could not be verified to force a re-evaluation during the next
    run

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 30 Jun 2021 11:45:47 +0200

## univention-appcenter 9.0.2-67A~5.0.0.202109141203

=== debian/changelog ===
univention-appcenter (9.0.2-67A~5.0.0.202109141203) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 14 Sep 2021 12:03:44 +0200

univention-appcenter (9.0.2-67) unstable; urgency=medium

  * Bug #53655: reverting returnvalue to string

 -- Jan Luttermann <luttermann@univention.de>  Tue, 14 Sep 2021 11:58:45 +0200

univention-appcenter (9.0.2-66) unstable; urgency=medium

  * Bug #53761: Load new UCR variables during configure; maybe we got a new
    container variable during configure_host due to a reinitialize

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 13 Sep 2021 12:57:22 +0200

univention-appcenter (9.0.2-65) unstable; urgency=medium

  * Bug #53625: show content of error file in Appcenter

 -- Jan Luttermann <luttermann@univention.de>  Thu, 09 Sep 2021 15:02:42 +0200

univention-appcenter (9.0.2-64) unstable; urgency=medium

  * Bug #53665: remove unused css class

 -- Johannes Keiser <keiser@univention.de>  Tue, 07 Sep 2021 10:01:11 +0200

univention-appcenter (9.0.2-63) unstable; urgency=medium

  * Bug #53655: changing to fomat_exc method

 -- Jan Luttermann <luttermann@univention.de>  Thu, 26 Aug 2021 11:26:39 +0200

univention-appcenter (9.0.2-62) unstable; urgency=medium

  * Bug #53655: fixup for returning traceback

 -- Jan Luttermann <luttermann@univention.de>  Wed, 25 Aug 2021 14:38:05 +0200

univention-appcenter (9.0.2-61) unstable; urgency=medium

  * Bug #53630: Typo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 25 Aug 2021 09:52:48 +0200

univention-appcenter (9.0.2-60) unstable; urgency=medium

  * Bug #53630: Fix App installation with certain App Settings

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 19 Aug 2021 11:22:20 +0200

univention-appcenter (9.0.2-59) unstable; urgency=medium

  * Bug #53655: convert traceback message to list

 -- Jan Luttermann <luttermann@univention.de>  Fri, 13 Aug 2021 14:49:44 +0200

univention-appcenter (9.0.2-58) unstable; urgency=medium

  * Bug #53651: /usr/share/univention-portal/apps.json was removed

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 12 Aug 2021 10:53:14 +0200

univention-appcenter (9.0.2-57) unstable; urgency=medium

  * Bug #52506: Use existing methods for the implementation

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 26 Jul 2021 23:44:15 +0200

univention-appcenter (9.0.2-56) unstable; urgency=medium

  * Bug #52506: set outside settings before preinst

 -- Felix Botner <botner@univention.de>  Fri, 23 Jul 2021 14:31:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# PACKAGES
#  rules file for the debian package
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,univention-l10n,umc,ucr,univention-join --buildsystem=pybuild

export PYBUILD_NAME=univention-appcenter

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf build/
	dh_auto_clean
	make clean

override_dh_auto_build:
	dh_auto_build
	make
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	python setup_dev.py build --force -b build/python-univention-appcenter-dev install --force --root=debian/python-univention-appcenter-dev --install-layout=deb
	python3 setup_dev.py build --force -b build/python3-univention-appcenter-dev install --force --root=debian/python3-univention-appcenter-dev --install-layout=deb
	python setup_docker.py build --force -b build/python-univention-appcenter-docker install --force --root=debian/python-univention-appcenter-docker --install-layout=deb
	python3 setup_docker.py build --force -b build/python3-univention-appcenter-docker install --force --root=debian/python3-univention-appcenter-docker --install-layout=deb
	python setup_umc.py build --force -b build/univention-appcenter-umc install --force --root=debian/univention-management-console-module-appcenter --install-layout=deb
	python3 setup_umc.py build --force -b build/univention-appcenter-umc install --force --root=debian/univention-management-console-module-appcenter --install-layout=deb
	dh_auto_install

override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild
	dh_auto_test

## univention-appcenter 9.0.2-69A~5.0.0.202111251345

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2015-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: umc/js/appcenter.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f umc/js/appcenter.css

=== debian/changelog ===
univention-appcenter (9.0.2-69A~5.0.0.202111251345) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 25 Nov 2021 13:45:15 +0100

univention-appcenter (9.0.2-69) unstable; urgency=medium

  * Bug #51986: Race condition in App Center cache invalidation

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Thu, 25 Nov 2021 05:16:29 +0100

univention-appcenter (9.0.2-68) unstable; urgency=medium

  * Bug #53803: fix error handling in docker.inspect_with_retry()

 -- Florian Best <best@univention.de>  Fri, 17 Sep 2021 16:35:41 +0200

=== debian/control ===
Source: univention-appcenter
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 dh-python,
 node-stylus,
 python-all,
 python-debian,
 python3-all,
 univention-config-dev (>= 15.0.3),
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.8.2

Package: univention-management-console-module-appcenter
Architecture: all
Depends:
 python3-notifier,
 python3-univention,
 python3-univention-appcenter (= ${source:Version}),
 python3-univention-directory-manager,
 python3-univention-lib,
 python3-univention-updater,
 shell-univention-lib,
 univention-config,
 univention-management-console-module-lib,
 univention-management-console-server (>= 11.0.4-37),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UMC module for software management
 This package contains the UMC module for the package management.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-appcenter
Depends:
 python-univention-appcenter (= ${source:Version}),
 python3-univention-appcenter (= ${source:Version}),
 ${misc:Depends},
Recommends:
 univention-appcenter-docker,
Architecture: all
Description: Tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-appcenter
Architecture: all
Depends:
 gnupg,
 python-backports.tempfile,
 python-ipaddress,
 python-mysqldb,
 python-six,
 python-univention (>= 12.0.0-5),
 python-univention-admin-diary,
 python-univention-config-registry,
 python-univention-directory-manager (>= 14.0.14-14),
 univention-directory-manager-tools (>= 14.0.14-14),
 univention-join (>= 10.0.0-12),
 univention-ssh,
 zsync,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 univention-appcenter,
Provides:
 ${python:Provides},
Description: Library for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-appcenter
Architecture: all
Depends:
 gnupg,
 python3-mysqldb,
 python3-six,
 python3-univention,
 python3-univention-admin-diary,
 python3-univention-config-registry,
 python3-univention-directory-manager,
 univention-directory-manager-tools,
 univention-join,
 univention-ssh,
 zsync,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 univention-appcenter,
Provides:
 ${python3:Provides},
Description: Library for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-appcenter-dev
Architecture: all
Depends:
 python-univention-appcenter-dev,
 python3-univention-appcenter-dev,
 ${misc:Depends},
Description: Development tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-appcenter-dev
Architecture: all
Depends:
 apt-utils,
 dpkg,
 python-univention (>= 12.0.0-5),
 univention-appcenter (= ${source:Version}),
 zsync,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: Development tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-appcenter-dev
Architecture: all
Depends:
 apt-utils,
 dpkg,
 python3-univention,
 univention-appcenter (= ${source:Version}),
 zsync,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Development tools for Univention App Center
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-appcenter-docker
Architecture: all
Depends:
 python-univention-appcenter-docker,
 python3-univention-appcenter-docker,
 ${misc:Depends},
Description: Docker integration for Univention App Center
 This package contains a Docker integration for certain apps
 of the Univention App Center.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-appcenter-docker
Architecture: all
Depends:
 docker-compose,
 pass,
 python-ruamel.yaml,
 python-univention (>= 12.0.0-5),
 python-univention-appcenter (= ${source:Version}),
 univention-apache,
 univention-docker (>= 2.0.0-4),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: Docker integration for Univention App Center
 This package contains a Docker integration for certain apps
 of the Univention App Center.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-appcenter-docker
Architecture: all
Depends:
 docker-compose,
 pass,
 python3-ruamel.yaml,
 python3-univention,
 python3-univention-appcenter,
 univention-apache,
 univention-docker,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Docker integration for Univention App Center
 This package contains a Docker integration for certain apps
 of the Univention App Center.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-module-apps
Architecture: all
Depends:
 python3-polib,
 univention-management-console-module-appcenter (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UMC module for application overview
 This package contains the overview page for every installed
 Univention App.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-appcenter 9.0.7-2A~5.0.0.202302061623

=== debian/changelog ===
univention-appcenter (9.0.7-2A~5.0.0.202302061623) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 06 Feb 2023 16:23:52 +0100

univention-appcenter (9.0.7-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:32 +0100

univention-appcenter (9.0.7-1) unstable; urgency=medium

  * Bug #54773: fix unbound-local variable access

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 18:04:16 +0100

univention-appcenter (9.0.6-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:38 +0100

univention-appcenter (9.0.5-2) unstable; urgency=medium

  * Bug #55634: Added compatibility for non UTF-8 encoded bytes in Packages

 -- Christian Castens <castens@univention.de>  Wed, 02 Feb 2023 14:27:22 +0100

univention-appcenter (9.0.5-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Thu, 02 Feb 2023 11:12:17 +0100

univention-appcenter (9.0.4-1) unstable; urgency=medium

  * Bug #54773: write UDM type information into app JSON listener files

 -- Florian Best <best@univention.de>  Wed, 01 Feb 2023 20:16:07 +0100

univention-appcenter (9.0.3-9) unstable; urgency=medium

  * Bug #55467: Added solution in App Center when App is pinned

 -- Peter Stoll <stoll.extern@univention.de>  Mon, 30 Jan 2023 15:10:12 +0100

univention-appcenter (9.0.3-8) unstable; urgency=medium

  * Bug #55467: Allow to pin and unpin apps

 -- Peter Stoll <stoll.extern@univention.de>  Mon, 23 Jan 2023 17:50:29 +0100

univention-appcenter (9.0.3-7) unstable; urgency=medium

  * Bug #55044: Simplify repository UCRVs still use unmaintained

 -- Peter Stoll <stoll.extern@univention.de>  Tue, 06 Dec 2022 13:20:27 +0200

univention-appcenter (9.0.3-6) unstable; urgency=medium

  * Bug #52514: Patches the wrong usage of configure through text replacement

 -- Mika Westphal <westphal@univention.de>  Thu, 24 Nov 2022 09:27:54 +0100

univention-appcenter (9.0.3-5) unstable; urgency=medium

  * Bug #55044: Simplify repository UCRVs

 -- Peter Stoll <stoll.extern@univention.de>  Fri, 07 Oct 2022 16:40:27 +0200

univention-appcenter (9.0.3-4) unstable; urgency=medium

  * Bug #54123: Include gpg_error and file timestamps in SignatureVerificationFailed exception

 -- Julia Bremer <bremer@univention.de>  Sat, 24 Sep 2022 22:21:17 +0200

univention-appcenter (9.0.3-3) unstable; urgency=medium

  * Bug #52000: Loop inside the listener converter in order to reduce CPU load

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sat, 24 Sep 2022 20:51:15 +0200

univention-appcenter (9.0.3-2) unstable; urgency=medium

  * Bug #55020: fix StoreAppAction

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Mon, 15 Aug 2022 11:31:58 +0200

univention-appcenter (9.0.3-1) unstable; urgency=medium

  * Bug #54706: move essential files into Python 3 package

 -- Florian Best <best@univention.de>  Mon, 02 May 2022 11:55:44 +0200

univention-appcenter (9.0.2-76) unstable; urgency=medium

  * Bug #54460: show the reason why servers may be excluded from the
    app-installation drop down menu

 -- Johannes Lohmer <lohmer@univention.de>  Thu, 21 Apr 2022 17:21:19 +0200

univention-appcenter (9.0.2-75) unstable; urgency=medium

  * reverted

 -- Carlos García-Mauriño <garcia-maurino.extern@univention.de>  Mon, 18 Apr 2022 08:41:12 +0300

univention-appcenter (9.0.2-74) unstable; urgency=medium

  * Bug #54612: Order of populating ini file

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Tue, 29 Mar 2022 09:04:11 +0100

univention-appcenter (9.0.2-73) unstable; urgency=medium

  * Bug #54562: Make tempfs for docker apps configurable

 -- Ole Schwiegert <schwiegert@univention.de>  Wed, 16 Mar 2022 21:00:00 +0100

univention-appcenter (9.0.2-72) unstable; urgency=medium

  * Bug #54452: Download/uncompress to temporary directory

 -- Erik Damrose <damrose@univention.de>  Mon, 14 Feb 2022 19:06:18 +0100

univention-appcenter (9.0.2-71) unstable; urgency=medium

  * Bug #53523: If target hosts selection during application install is
    empty, prevent further actions.

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Thu, 03 Feb 2022 08:05:04 +0100

univention-appcenter (9.0.2-70) unstable; urgency=medium

  * Bug #54082: Use `address` instead of `network` while checking network
    interface conflicts regarding Docker.

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Tue, 18 Jan 2022 05:23:12 +0000

=== debian/control ===
--- 
+++ 
@@ -100,6 +100,10 @@
  zsync,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python-univention-appcenter (<< 9.0.3-1),
+Replaces:
+ python-univention-appcenter (<< 9.0.3-1),
 Recommends:
  univention-appcenter,
 Provides:

## univention-appcenter 9.0.7-7A~5.0.0.202305041356

=== debian/changelog ===
univention-appcenter (9.0.7-7A~5.0.0.202305041356) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 04 May 2023 13:56:38 +0200

univention-appcenter (9.0.7-7) unstable; urgency=medium

  * Bug #56038: command execution in secondary container with univention-app shell is not supported

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 04 May 2023 11:11:22 +0200

univention-appcenter (9.0.7-6) unstable; urgency=medium

  * Bug #55765: add custom settings for apps

 -- Felix Botner <botner@univention.de>  Tue, 25 Apr 2023 15:02:30 +0200

univention-appcenter (9.0.7-5) unstable; urgency=medium

  * Bug #55765: add custom settings for apps

 -- Christian Castens <castens@univention.de>  Mon, 24 Apr 2023 09:27:32 +0200

univention-appcenter (9.0.7-4) unstable; urgency=medium

  * Bug #55664: add missing translations.

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 23 Mar 2023 08:43:20 +0100

univention-appcenter (9.0.7-3) unstable; urgency=medium

  * Bug #55679: Improve wording in UMC App Center for pinned Apps

 -- Peter Stoll <stoll.extern@univention.de>  Mon, 13 Feb 2023 19:28:30 +0100

## univention-appcenter 9.0.7-10

=== debian/changelog ===
univention-appcenter (9.0.7-10) unstable; urgency=medium

  * Bug #55632: Improved the Python 2.7 compatibility

 -- Mika Westphal <westphal@univention.de>  Fri, 26 May 2023 12:16:06 +0200

univention-appcenter (9.0.7-9) unstable; urgency=medium

  * Bug #56072: remove listener file when corresponding udm object cannot be found

 -- Christian Castens <castens@univention.de>  Tue, 23 May 2023 13:51:22 +0200

univention-appcenter (9.0.7-8) unstable; urgency=medium

  * Bug #55632: Migration of Python 2 leftovers and improved the Python 3 compatibility

 -- Mika Westphal <westphal@univention.de>  Thu, 04 May 2023 12:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  node-stylus,
  python-all,
  python-debian,
+ python-setuptools,
  python3-all,
+ python3-setuptools,
  univention-config-dev (>= 15.0.3),
  univention-join-dev,
  univention-l10n-dev (>= 7.0.1),

## univention-appcenter 9.0.8-1

=== debian/changelog ===
univention-appcenter (9.0.8-1) unstable; urgency=medium

  * Bug #43633: replace direct use of notifier.threads with UMC @threaded decorator

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 13:23:50 +0200

## univention-appcenter 9.0.8-2

=== debian/changelog ===
univention-appcenter (9.0.8-2) unstable; urgency=medium

  * Bug #56047: Fix typo in output of "univention-app stall --help"

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 19 Jul 2023 15:15:01 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  shell-univention-lib,
  univention-config,
  univention-management-console-module-lib,
- univention-management-console-server (>= 11.0.4-37),
+ univention-management-console-server (>= 12.0.20-1),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

## univention-appcenter 9.0.8-3

=== debian/changelog ===
univention-appcenter (9.0.8-3) unstable; urgency=medium

  * Bug #56201: replace python-notifier and adjust to new UMC module API

 -- Florian Best <best@univention.de>  Thu, 20 Jul 2023 08:39:21 +0200

## univention-appcenter 9.0.9-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 #
-# Copyright 2015-2021 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2015-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-appcenter (9.0.9-1) unstable; urgency=medium

  * Bug #56421: Add logging for broken JSON files of the listener converter

 -- Mika Westphal <westphal@univention.de>  Tue, 05 Sep 2023 12:01:22 +0200

univention-appcenter (9.0.8-5) unstable; urgency=medium

  * Revert "Bug #55610: added appcenter logrotate configuration and a UCR variable"

    This reverts commit 38cb0823c9e9a07916f4f1f31ae4ec069d8495ff.

 -- Mika Westphal <westphal@univention.de>  Tue, 22 Aug 2023 12:35:37 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Package: univention-management-console-module-appcenter
 Architecture: all
 Depends:
- python3-notifier,
  python3-univention,
  python3-univention-appcenter (= ${source:Version}),
  python3-univention-directory-manager,
@@ -29,7 +28,7 @@
  shell-univention-lib,
  univention-config,
  univention-management-console-module-lib,
- univention-management-console-server (>= 12.0.20-1),
+ univention-management-console-server (>= 12.0.31-10),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # PACKAGES
 #  rules file for the debian package
 #
-# Copyright 2004-2021 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-appcenter 9.0.10-1

=== debian/changelog ===
univention-appcenter (9.0.10-1) unstable; urgency=medium

  [ Philipp Hahn ]
  * Bug #56832: UCS 5.0-6 version bump

  [ Florian Best ]
  * Bug #55324: use univention.logging

 -- Florian Best <best@univention.de>  Tue, 09 Jan 2024 17:41:17 +0100

univention-appcenter (9.0.9-2) unstable; urgency=medium

  * Bug #56827: Fix typo for RAM warning

 -- Oliver Friedrich <friedrich@univention.de>  Wed, 15 Nov 2023 14:40:48 +0100

## univention-appcenter 9.0.12-2

=== debian/changelog ===
univention-appcenter (9.0.12-2) unstable; urgency=medium

  * Bug #57544: Run joinscripts after the configure script. Even during upgrade

 -- Julia Bremer <bremer@univention.de>  Tue, 27 Aug 2024 11:06:01 +0200

univention-appcenter (9.0.12-1) UNRELEASED; urgency=medium

  * Bug #57350 UCS 5.0-8 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 03 Jun 2024 13:44:14 +0200

univention-appcenter (9.0.11-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:48 +0100

## univention-appcenter 9.0.12-3

=== debian/changelog ===
univention-appcenter (9.0.12-3) unstable; urgency=medium

  * Bug #57546: Support using --set option in univention-app configure
    multiple times in one call

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 09 Sep 2024 11:30:49 +0200

## univention-appcenter 9.0.13-3

=== debian/changelog ===
univention-appcenter (9.0.13-3) unstable; urgency=medium

  * Bug #57802: univention-app update-check did not report all missing apps
    during an UCS upgrade. Some docker apps may be missed due to working on a
    wrong cache

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 11 Dec 2024 15:10:58 +0100

univention-appcenter (9.0.13-2) unstable; urgency=medium

  * Bug #57779: Backport postgresql-15

 -- Arvid <requate@univention.de>  Tue, 03 Dec 2024 21:23:35 +0100

univention-appcenter (9.0.13-1) UNRELEASED; urgency=medium

  * Bug #57581 UCS 5.0-9 version bump

 -- Arvid <requate@univention.de>  Thu, 12 Sep 2024 13:18:33 +0200

## univention-appcenter 9.0.13-4

=== debian/changelog ===
univention-appcenter (9.0.13-4) unstable; urgency=medium

  * Bug #57996: fix app installation with a file settings was saving
    the file in base64.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 25 Feb 2025 12:54:36 +0100

## univention-appcenter 9.0.14-2

=== debian/changelog ===
univention-appcenter (9.0.14-2) unstable; urgency=medium

  * Bug #57779: Don't support adjusting the password-encryption to scram-sha-256
    i.e. don't backport the UCR variables postgres15/pg_hba/password-encryption
    and postgres15/password-encryption

 -- Arvid Requate <requate@univention.de>  Tue, 08 Apr 2025 12:57:49 +0200

univention-appcenter (9.0.14-1) unstable; urgency=medium

  * Bug #58002 UCS 5.0-10 version bump
  * Bug #57779: change default password encryption for postgresql-15 to md5

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 04 Apr 2025 12:30:57 +0200

## univention-appcenter 9.0.14-3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2015-2023 Univention GmbH
+# Copyright 2015-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-appcenter (9.0.14-3) unstable; urgency=medium

  * Bug #52308: Add UCR variable to skip downloading app metadata using zsync
    and download with an HTTP request directly

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 22 Oct 2025 15:53:12 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  shell-univention-lib,
  univention-config,
  univention-management-console-module-lib,
- univention-management-console-server (>= 12.0.31-10),
+ univention-management-console-server (>= 12.0.32-5),
  ${misc:Depends},
  ${python3:Depends},
 Provides:
@@ -94,6 +94,7 @@
  python3-univention,
  python3-univention-admin-diary,
  python3-univention-config-registry,
+ python3-univention-debug (>= 12.0.3-1),
  python3-univention-directory-manager,
  univention-directory-manager-tools,
  univention-join,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-appcenter 10.0.15

=== debian/changelog ===
univention-appcenter (10.0.15) unstable; urgency=medium

  * Bug #57802: univention-app update-check did not report all missing apps
    during an UCS upgrade. Some docker apps may be missed due to working on a
    wrong cache

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 11 Dec 2024 15:10:58 +0100

univention-appcenter (10.0.14) unstable; urgency=medium

  * Bug #57791: Backport postgresql-15

 -- Arvid <requate@univention.de>  Tue, 03 Dec 2024 20:58:38 +0100

univention-appcenter (10.0.13) unstable; urgency=medium

  * Bug #57546: Support using --set option in univention-app configure
    multiple times in one call

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 09 Sep 2024 11:30:49 +0200

univention-appcenter (10.0.12) unstable; urgency=medium

  * Bug #57544: Run configure and joinscripts in the correct order

 -- Julia Bremer <bremer@univention.de>  Tue, 27 Aug 2024 16:26:49 +0200

univention-appcenter (10.0.11) unstable; urgency=medium

  * Bug #56716: handle not found app

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:56 +0100

univention-appcenter (10.0.10) unstable; urgency=medium

  * Bug #56124: set --ucsversionstart flag to 5.0-7

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 07 Mar 2024 23:54:54 +0100

univention-appcenter (10.0.9) unstable; urgency=medium

  * Bug #55915: re-implement LooseVersion

 -- Christian Castens <castens@univention.de>  Thu, 07 Mar 2024 23:54:24 +0100

univention-appcenter (10.0.8) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:11 +0100

univention-appcenter (10.0.7) unstable; urgency=medium

  * Bug #56598: adjust section error in the UMC software packages module

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 07 Mar 2024 23:53:57 +0100

univention-appcenter (10.0.6) unstable; urgency=medium

  * Bug #56540: Add Postgres 13 support for Docker Apps

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 07 Mar 2024 23:53:56 +0100

univention-appcenter (10.0.5) unstable; urgency=medium

  * Bug #55994: drop Python 2 binary packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:51 +0100

univention-appcenter (10.0.4) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:33 +0100

univention-appcenter (10.0.3) unstable; urgency=medium

  * Bug #56724: remove unneeded code from App Center UMC module

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 07 Mar 2024 23:53:27 +0100

univention-appcenter (10.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:18 +0100

univention-appcenter (10.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,9 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  node-stylus,
- python-all,
- python-debian,
- python-setuptools,
  python3-all,
  python3-setuptools,
  univention-config-dev (>= 15.0.3),
@@ -43,7 +40,6 @@
 
 Package: univention-appcenter
 Depends:
- python-univention-appcenter (= ${source:Version}),
  python3-univention-appcenter (= ${source:Version}),
  ${misc:Depends},
 Recommends:
@@ -56,41 +52,11 @@
  corporate environments. For more information about UCS,
  refer to: https://www.univention.de/
 
-Package: python-univention-appcenter
-Architecture: all
-Depends:
- gnupg,
- python-backports.tempfile,
- python-ipaddress,
- python-mysqldb,
- python-six,
- python-univention (>= 12.0.0-5),
- python-univention-admin-diary,
- python-univention-config-registry,
- python-univention-directory-manager (>= 14.0.14-14),
- univention-directory-manager-tools (>= 14.0.14-14),
- univention-join (>= 10.0.0-12),
- univention-ssh,
- zsync,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- univention-appcenter,
-Provides:
- ${python:Provides},
-Description: Library for Univention App Center
- .
- It is part of Univention Corporate Server (UCS), an
- integrated, directory driven solution for managing
- corporate environments. For more information about UCS,
- refer to: https://www.univention.de/
-
 Package: python3-univention-appcenter
 Architecture: all
 Depends:
  gnupg,
  python3-mysqldb,
- python3-six,
  python3-univention,
  python3-univention-admin-diary,
  python3-univention-config-registry,
@@ -102,10 +68,6 @@
  zsync,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python-univention-appcenter (<< 9.0.3-1),
-Replaces:
- python-univention-appcenter (<< 9.0.3-1),
 Recommends:
  univention-appcenter,
 Provides:
@@ -120,28 +82,8 @@
 Package: univention-appcenter-dev
 Architecture: all
 Depends:
- python-univention-appcenter-dev,
  python3-univention-appcenter-dev,
  ${misc:Depends},
-Description: Development tools for Univention App Center
- .
- It is part of Univention Corporate Server (UCS), an
- integrated, directory driven solution for managing
- corporate environments. For more information about UCS,
- refer to: https://www.univention.de/
-
-Package: python-univention-appcenter-dev
-Architecture: all
-Depends:
- apt-utils,
- dpkg,
- python-univention (>= 12.0.0-5),
- univention-appcenter (= ${source:Version}),
- zsync,
- ${misc:Depends},
- ${python:Depends},
-Provides:
- ${python:Provides},
 Description: Development tools for Univention App Center
  .
  It is part of Univention Corporate Server (UCS), an
@@ -171,32 +113,8 @@
 Package: univention-appcenter-docker
 Architecture: all
 Depends:
- python-univention-appcenter-docker,
  python3-univention-appcenter-docker,
  ${misc:Depends},
-Description: Docker integration for Univention App Center
- This package contains a Docker integration for certain apps
- of the Univention App Center.
- .
- It is part of Univention Corporate Server (UCS), an
- integrated, directory driven solution for managing
- corporate environments. For more information about UCS,
- refer to: https://www.univention.de/
-
-Package: python-univention-appcenter-docker
-Architecture: all
-Depends:
- docker-compose,
- pass,
- python-ruamel.yaml,
- python-univention (>= 12.0.0-5),
- python-univention-appcenter (= ${source:Version}),
- univention-apache,
- univention-docker (>= 2.0.0-4),
- ${misc:Depends},
- ${python:Depends},
-Provides:
- ${python:Provides},
 Description: Docker integration for Univention App Center
  This package contains a Docker integration for certain apps
  of the Univention App Center.

## univention-appcenter 11.0.18

=== debian/changelog ===
univention-appcenter (11.0.18) unstable; urgency=medium

  * Bug #57114: use official appcenter server

 -- Felix Botner <botner@univention.de>  Wed, 22 Jan 2025 10:10:38 +0100

univention-appcenter (11.0.17) unstable; urgency=medium

  * Bug #57802: Fix passing str as a value that should be list of str

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 23 Dec 2024 13:33:04 +0100

univention-appcenter (11.0.16) unstable; urgency=medium

  * Issue univention/ucs#2562: generate app cache after appcenter installation

 -- Christian Castens <castens@univention.de>  Tue, 17 Dec 2024 11:00:42 +0100

univention-appcenter (11.0.14) unstable; urgency=medium

  * Issue univention/ucs#2522: add Keycloak installation hint to the UMC welcome module

 -- Christian Castens <castens@univention.de>  Wed, 11 Dec 2024 15:36:42 +0100

univention-appcenter (11.0.13) unstable; urgency=medium

  * Bug #57802: univention-app update-check did not report all missing apps
    during an UCS upgrade. Some docker apps may be missed due to working on a
    wrong cache

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 11 Dec 2024 15:10:58 +0100

univention-appcenter (11.0.12) unstable; urgency=medium

  * Issue univention/ucs#2518: Removed some third party logos from the source
    code

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 27 Nov 2024 22:09:42 +0100

univention-appcenter (11.0.11) unstable; urgency=medium

  * Issue univention/ucs#2495: Update copyright

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 27 Nov 2024 17:18:03 +0100

univention-appcenter (11.0.10) unstable; urgency=medium

  * Bug #57546: Support using --set option in univention-app configure
    multiple times in one call

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 09 Sep 2024 11:30:49 +0200

univention-appcenter (11.0.9) unstable; urgency=medium

  * Bug #57544: Run configure and joinscripts in the correct order during upgrade

 -- Julia Bremer <bremer@univention.de>  Tue, 27 Aug 2024 16:28:38 +0200

univention-appcenter (11.0.8) unstable; urgency=medium

  * Bug #57210: get networks not managed by the appcenter.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 15 Apr 2024 14:11:07 +0200

univention-appcenter (11.0.7) unstable; urgency=medium

  * Bug #57210: get networks not managed by the appcenter.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 05 Apr 2024 13:12:47 +0200

univention-appcenter (11.0.6) unstable; urgency=medium

  * Bug #56540: add missing UCR variable to UCR template definition

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 11:25:18 +0100

univention-appcenter (11.0.5) unstable; urgency=medium

  * Bug #56604: use __future__ annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 11:16:21 +0100

univention-appcenter (11.0.4) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:34 +0100

univention-appcenter (11.0.3) unstable; urgency=medium

  * Bug #57114: use test appcenter

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:52 +0100

univention-appcenter (11.0.2) unstable; urgency=medium

  * Bug #56927: increase all modified joinscripts by 10

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:45 +0100

univention-appcenter (11.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,python3,univention-l10n,umc,ucr,univention-join --buildsystem=pybuild
+	dh $@ --with python3,univention-l10n,umc,ucr,univention-join --buildsystem=pybuild
 
 export PYBUILD_NAME=univention-appcenter
 
@@ -53,11 +53,8 @@
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
-	python setup_dev.py build --force -b build/python-univention-appcenter-dev install --force --root=debian/python-univention-appcenter-dev --install-layout=deb
 	python3 setup_dev.py build --force -b build/python3-univention-appcenter-dev install --force --root=debian/python3-univention-appcenter-dev --install-layout=deb
-	python setup_docker.py build --force -b build/python-univention-appcenter-docker install --force --root=debian/python-univention-appcenter-docker --install-layout=deb
 	python3 setup_docker.py build --force -b build/python3-univention-appcenter-docker install --force --root=debian/python3-univention-appcenter-docker --install-layout=deb
-	python setup_umc.py build --force -b build/univention-appcenter-umc install --force --root=debian/univention-management-console-module-appcenter --install-layout=deb
 	python3 setup_umc.py build --force -b build/univention-appcenter-umc install --force --root=debian/univention-management-console-module-appcenter --install-layout=deb
 	dh_auto_install

## univention-appcenter 11.0.19

=== debian/changelog ===
univention-appcenter (11.0.19) unstable; urgency=medium

  * Bug #57997: fix app installation with a file settings was saving
    the file in base64.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 25 Feb 2025 12:54:36 +0100
